Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]
Groups > linux.debian.kernel > #60429
| From | Kevin Hilman <khilman@baylibre.com> |
|---|---|
| Newsgroups | linux.debian.bugs.dist, linux.debian.kernel |
| Subject | Bug#892407: initramfs-tools: scripts/local: ignore /dev/ram* |
| Date | 2018-03-08 20:20 +0100 |
| Message-ID | <vr9f4-2vP-3@gated-at.bofh.it> (permalink) |
| Organization | BayLibre |
Cross-posted to 2 groups.
Package: initramfs-tools
Version: 0.130
From a2aef0d83cd19d9b69a747c7ddbcee564faac914 Mon Sep 17 00:00:00 2001
From: Kevin Hilman <khilman@baylibre.com>
Date: Thu, 8 Mar 2018 11:01:38 -0800
Subject: [PATCH] scripts/local: ignore /dev/ram*
These scripts are already running in a ramdisk, so ignore
any root=/dev/ram* so we don't waste 30 sec looping.
Signed-off-by: Kevin Hilman <khilman@baylibre.com>
---
scripts/local | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/scripts/local b/scripts/local
index 4ec926cae6cb..103a8fffd7c7 100644
--- a/scripts/local
+++ b/scripts/local
@@ -60,6 +60,14 @@ local_device_setup()
local time_elapsed
local count
+ # We're already in a ramdisk, don't waste 30 sec looping waiting
+ # for /dev/ram* devices
+ expr match ${dev_id#/dev/} "ram" > /dev/null
+ if [ $? = 0 ]; then
+ echo "Ignoring ${dev_id}. We're already in a ramdisk."
+ return 1
+ fi
+
wait_for_udev 10
# Load ubi with the correct MTD partition and return since fstype
--
2.11.0
Back to linux.debian.kernel | Previous | Next — Next in thread | Find similar | Unroll thread
Bug#892407: initramfs-tools: scripts/local: ignore /dev/ram* Kevin Hilman <khilman@baylibre.com> - 2018-03-08 20:20 +0100
Bug#892407: initramfs-tools: scripts/local: ignore /dev/ram* Ben Hutchings <ben@decadent.org.uk> - 2018-03-09 02:00 +0100
Bug#892407: initramfs-tools: scripts/local: ignore /dev/ram* Kevin Hilman <khilman@baylibre.com> - 2018-03-09 02:20 +0100
Bug#892407: initramfs-tools: scripts/local: ignore /dev/ram* Ben Hutchings <ben@decadent.org.uk> - 2018-03-09 03:40 +0100
Bug#892407: initramfs-tools: scripts/local: ignore /dev/ram* Kevin Hilman <khilman@baylibre.com> - 2018-03-09 20:30 +0100
Bug#892407: initramfs-tools: scripts/local: ignore /dev/ram* Ben Hutchings <ben@decadent.org.uk> - 2018-03-09 03:30 +0100
Processed: Re: Bug#892407: initramfs-tools: scripts/local: ignore /dev/ram* "Debian Bug Tracking System" <owner@bugs.debian.org> - 2018-03-09 02:00 +0100
Bug#892407: marked as done (initramfs-tools: scripts/local: ignore /dev/ram*) "Debian Bug Tracking System" <owner@bugs.debian.org> - 2018-03-10 00:20 +0100
csiph-web